<template>
  <q-page class="place-detail q-ml-xl q-mr-lg">
    <div class="place-detail-main q-gutter-md">
      <div class="place-detail-header">
        <div>
          <router-link
            @click="goBackToHome"
            to="/"
            class="place-detail-header-back-to-home"
          >
            <span class="place-detail-header-back-to-home-arrow">&larr;</span>
          </router-link>
          <div class="place-detail-header-title">{{ place.title }}</div>
          <div class="place-detail-header-subtitle">Ciudad</div>
        </div>

        <q-img :src="place.image" class="place-detail-header-image"></q-img>
      </div>

      <div class="place-detail-body q-flex">
        <div class="place-detail-content q-col-xs-12 q-sm-8">
          <div class="place-detail-description">
            <p>{{ place.long_description }}</p>
          </div>
        </div>

        <div class="place-detail-sidebar q-col-xs-12 q-sm-4">
          <q-card class="place-detail-sidebar-card">
            <q-card-section>
              <div class="place-detail-sidebar-card-title text-h5">
                Ver en el Mapa
              </div>
            </q-card-section>

            <q-card-section
              v-if="
                place.latitude !== undefined && place.longitude !== undefined
              "
              class="place-detail-sidebar-map"
            >
              <MiniMap
                :title="place.title"
                :latitude="place.latitude"
                :longitude="place.longitude"
              />
            </q-card-section>
          </q-card>

          <q-card
            class="place-detail-sidebar-card place-detail-sidebar-suggestions"
          >
            <q-card-section>
              <div class="place-detail-sidebar-card-title text-h5">
                Sitios Similares
              </div>
            </q-card-section>

            <q-card-section>
              <!-- <h3>Contenido de Sugerencias</h3> -->
            </q-card-section>
          </q-card>
        </div>
      </div>
    </div>
  </q-page>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import placeService from '../services/PlaceService';
import { Place } from 'src/models/Place';
import MiniMap from 'src/components/MiniMap.vue';

export default defineComponent({
  name: 'IndexPage',
  components: { MiniMap },
  data() {
    return {
      place: {} as Place,
    };
  },
  async mounted() {
    let id = Number(this.$route.params.id);
    this.place = await placeService.getPlace(id);
  },
  methods: {
    goBackToHome() {
      this.$router.push({ path: '/' });
    },
  },
});
</script>
